com.holonplatform.vaadin.flow.components.builders

## Interface OptionsSingleSelectConfigurator<T,ITEM,B extends OptionsSingleSelectConfigurator<T,ITEM,B>>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
    `B` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<B>, DeferrableLocalizationConfigurator<B>, HasDeferrableLocalization, HasElementConfigurator<B>, HasEnabledConfigurator<B>, HasItemCaptionConfigurator<ITEM,B>, HasItemEnableConfigurator<ITEM,B>, HasLabelConfigurator<B>, HasStyleConfigurator<B>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,B>, ItemSetConfigurator<B>, SelectableInputConfigurator<T,T,B>, SingleSelectableInputConfigurator<T,ITEM,B>
  All Known Subinterfaces:
    OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>, OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>

      public interface OptionsSingleSelectConfigurator<T,ITEM,B extends OptionsSingleSelectConfigurator<T,ITEM,B>>
      extends SingleSelectableInputConfigurator<T,ITEM,B>, HasLabelConfigurator<B>, HasItemEnableConfigurator<ITEM,B>

  `SingleSelect` input builder using a `RadioButtonGroup` as input component.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>` Options `SingleSelect` input builder with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C extends OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C>>` Options `SingleSelect` input configurator with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>` `Property` model based options `SingleSelect` input builder with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C extends OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>>` `Property` model based options `SingleSelect` input configurator with `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>` Options `SingleSelect` input builder.
    `static interface` | `OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D,C>>` Options `SingleSelect` input configurator.
    `static interface` | `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>` `Property` model based options `SingleSelect` input builder.
    `static interface` | `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>>` `Property` model based options `SingleSelect` input configurator.
    `static interface` | `OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>` Options `SingleSelect` input builder with validation and `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>` `Property` model based options `SingleSelect` input builder with validation and `DatastoreDataProviderConfigurator` support.
    `static interface` | `OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>` Options `SingleSelect` input builder with validation support.
    `static interface` | `OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>` `Property` model based options `SingleSelect` input builder with validation support.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,T>` | `create(Class<T> type)` Get a new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder` to create a `SingleSelect` which uses a `RadioButtonGroup` as input component.
    `static <T,ITEM> OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>` | `create(Class<T> type, Class<ITEM> itemType, ItemConverter<T,ITEM> itemConverter)` Get a new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder` to create a `SingleSelect` which uses a `RadioButtonGroup` as input component.
    `static <T> OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>` | `create(com.holonplatform.core.property.Property<T> selectionProperty)` Get a new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder` to create a `Property` model based `SingleSelect`, which uses a `RadioButtonGroup` as input component.
    `static <T> OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>` | `create(com.holonplatform.core.property.Property<T> selectionProperty, Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)` Get a new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder` to create a `Property` model based `SingleSelect`, which uses a `RadioButtonGroup` as input component.
    `B` | `renderer(com.vaadin.flow.data.renderer.ComponentRenderer<? extends com.vaadin.flow.component.Component,ITEM> renderer)` Sets the `ComponentRenderer` responsible to render the individual items in the list of possible choices.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

- - ### Method Detail

    - #### renderer

          B renderer(com.vaadin.flow.data.renderer.ComponentRenderer<? extends com.vaadin.flow.component.Component,ITEM> renderer)

      Sets the `ComponentRenderer` responsible to render the individual items in the list of possible choices. The renderer is applied to each item to create a component which represents the item.
      Parameters:
        `renderer` - the item renderer, not `null`
      Returns:
        this

    - #### create

          static <T,ITEM> OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM> create(Class<T> type,
                                                                                                         Class<ITEM> itemType,
                                                                                                         ItemConverter<T,ITEM> itemConverter)

      Get a new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder` to create a `SingleSelect` which uses a `RadioButtonGroup` as input component.
      Type Parameters:
        `T` - Value type
        `ITEM` - Item type
      Parameters:
        `type` - Selection value type (not null)
        `itemType` - Selection items type (not null)
        `itemConverter` - The item converter to use (not null)
      Returns:
        A new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder`

    - #### create

          static <T> OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,T> create(Class<T> type)

      Get a new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder` to create a `SingleSelect` which uses a `RadioButtonGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `type` - Selection value type (not null)
      Returns:
        A new `OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder`

    - #### create

          static <T> OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T> create(com.holonplatform.core.property.Property<T> selectionProperty)

      Get a new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder` to create a `Property` model based `SingleSelect`, which uses a `RadioButtonGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
      Returns:
        A new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder`

    - #### create

          static <T> OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T> create(com.holonplatform.core.property.Property<T> selectionProperty,
                                                                                                       Function<T,Optional<com.holonplatform.core.property.PropertyBox>> itemConverter)

      Get a new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder` to create a `Property` model based `SingleSelect`, which uses a `RadioButtonGroup` as input component.
      Type Parameters:
        `T` - Value type
      Parameters:
        `selectionProperty` - The property to use to represent the selection value (not null)
        `itemConverter` - The function to use to convert a selection value into the corresponding `PropertyBox` item
      Returns:
        A new `OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.